package main

import (
	"time"

	"git.nefrace.ru/nefrace/tongo"
)

var _ tongo.Collectable = &User{}

type User struct {
	tongo.Item
	Username    string
	FirstName   string
	ID          int64
	KarmaOffser int
}

func (User) Coll() string { return "users" }

var _ tongo.Collectable = &KarmaShot{}

type KarmaShot struct {
	tongo.Item
	From  tongo.OID
	To    tongo.OID
	Count int
	When  time.Time
}

func (KarmaShot) Coll() string { return "karma" }
